## stella 3.1.2

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,13 @@
 ##  SS  SS   tt   ee      ll   ll  aa  aa
 ##   SSSS     ttt  eeeee llll llll  aaaaa
 ##
-## Copyright (c) 1995-2005 by Bradford W. Mott and the Stella team
-##
-## See the file "license" for information on usage and redistribution of
+## Copyright (c) 1995-2010 by Bradford W. Mott, Stephen Anthony
+## and the Stella Team
+##
+## See the file "License.txt" for information on usage and redistribution of
 ## this file, and for a DISCLAIMER OF ALL WARRANTIES.
 ##
-## $Id: Makefile,v 1.36 2008/04/02 23:24:21 stephena Exp $
+## $Id: Makefile,v 1.37 2009-01-11 21:31:21 stephena Exp $
 ##
 ##   Based on code from ScummVM - Scumm Interpreter
 ##   Copyright (C) 2002-2004 The ScummVM project
@@ -88,7 +89,6 @@
 # After the game specific modules follow the shared modules
 MODULES += \
 	src/emucore \
-	src/emucore/m6502 \
 	src/gui \
 	src/common
 
@@ -197,7 +197,7 @@
 	rm -rf $(DISTNAME)
 	mkdir -p $(DISTNAME)/docs/graphics
 	$(STRIP) stella$(EXEEXT) -o $(DISTNAME)/Stella$(EXEEXT)
-	cp SDL.dll zlib1.dll $(DISTNAME)
+	cp /bin/SDL.dll $(DISTNAME)
 	cp Announce.txt Changes.txt Copyright.txt License.txt README-SDL.txt Readme.txt Todo.txt $(DISTNAME)/docs
 	cp -r docs/*.html $(DISTNAME)/docs
 	cp -r docs/graphics/*.png $(DISTNAME)/docs/graphics
