=== debian/changelog ===
stella (3.1.2-1) unstable; urgency=low

  * New maintainer (closes: #532039).
  * New upstream version (closes: #461121):
    - includes launcher (closes: #396058).
  * Fix the reference to the X Window System in the description (closes:
    #411815).
  * Move to main, DFSG-free ROMs are available (see README.Debian).
  * Enhance the package description.
  * Drop the libslang2-dev dependency (closes: #560274).
  * Remove the Encoding entry from stella.desktop.
  * Avoid ignoring errors when cleaning.
  * Add ${misc:Depends} to the package dependencies.
  * Provide a doc-base file to install the documentation using doc-base.
  * Switch to debhelper 7 with a simplified rules file.
  * Use autotools-dev to provide updated configuration files.
  * Update to Standards-Version 3.9.0:
    - Move to menu section Applications/Emulators.
    - Move the homepage declaration.
  * Re-write the manpage.

 -- Stephen Kitt <steve@sk2.org>  Mon, 12 Jul 2010 23:49:36 +0200

stella (2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing cstring include in src/emucore/Cart.cxx
    to fix FTBFS. (Closes: #477283)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 05 May 2008 08:29:19 +0530

stella (2.2-1) unstable; urgency=low

  * New Maintainer (Closes: #361345)
  * New upstream release (Closes: #349725)
  * Build-Depend now on libslang2-dev (Closes: #325577)
  * Complete rebuild of debian/, upgraded to policy-standards
    3.6.2 and compat-level 5.
  * Removed stellarc since stella only reads ~/.stellarc and even
    works without a first config.
  * New debian/watch file.

 -- Mario Iseli <admin@marioiseli.com>  Sat, 08 Apr 2006 18:38:25 +0200

stella (1.4.1-1) unstable; urgency=low

  * Added debian-menus script to create menu files based on rom images. 
  * New upstream release.
  * This Release and 1.2-1.2 NMU (Closes: #174998, #190958, #262493, #263406)

 -- Tom Lear <tom@trap.mtview.ca.us>  Sun, 22 Aug 2004 17:30:41 -0700

stella (1.2-1.2) unstable; urgency=high

  * NMU
  * debian/control: Removed Build-Depends: libstdc++5-dev (Closes: #262493)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 21 Aug 2004 17:00:21 +0200

stella (1.2-1.1) unstable; urgency=low

  * Non-maintainer upload
  * debian/control: Removed Build-Depends: svgalibg1-dev (Closes: #190958)

 -- Roland Stigge <stigge@antcom.de>  Sun,  7 Sep 2003 14:03:36 +0200

stella (1.2-1) unstable; urgency=low

  * New upstream release. -- Closes #179753, #180204, #180670

 -- Tom Lear <tom@trap.mtview.ca.us>  Wed, 12 Feb 2003 12:11:40 -0800

stella (1.1-2) unstable; urgency=low

  * Fixed dependancy problem

 -- Tom Lear <tom@trap.mtview.ca.us>  Sat,  6 Nov 1999 16:41:05 -0800

stella (1.1-1) unstable; urgency=low

  * New upstream release. -- Closes #29038, #36141

 -- Tom Lear <tom@trap.mountain-view.ca.us>  Tue,  1 Jun 1999 16:53:48 -0700

stella (0.7-2) frozen; urgency=low

  * Moved to non-free

 -- Tom Lear <tom@trap.mountain-view.ca.us>  Wed, 29 Apr 1998 17:11:13 -0700

stella (0.7-1) unstable; urgency=low

  * Initial Release.

 -- Tom Lear <lear@debian.org>  Mon, 19 Jan 1998 22:06:49 -0800
