=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev,quilt

override_dh_auto_clean:
# We need to configure here to ensure config.mak is generated
# (the Makefile needs it)
	./configure --prefix=/usr
	dh_auto_clean

override_dh_clean:
	dh_clean tags

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/stella/usr/share/doc/stella/License.txt
