## stella 3.4

=== debian/changelog ===
stella (3.4-1) unstable; urgency=low

  * New upstream version.
  * Update package description and manpage with new features in 3.4.
  * Standards-Version 3.9.2, no change required.
  * Drop all patches, merged upstream.

 -- Stephen Kitt <steve@sk2.org>  Mon, 30 May 2011 07:02:40 +0200

stella (3.3-2) unstable; urgency=low

  * Upload to unstable.
  * Drop explicit quilt usage and dependency since we're using format 3.0
    (quilt).

 -- Stephen Kitt <steve@sk2.org>  Thu, 10 Mar 2011 17:38:47 +0100

stella (3.3-1) experimental; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Mon, 15 Nov 2010 21:59:47 +0100

stella (3.2.2-1) experimental; urgency=low

  * New upstream version.
  * Avoid requiring MAXPATHLEN (to build on hurd).

 -- Stephen Kitt <steve@sk2.org>  Sat, 06 Nov 2010 09:57:32 +0100

stella (3.2.1-1) experimental; urgency=low

  * New upstream version.
  * Change debian-menus to scan ~/.stella/roms rather than ~/.stella.
  * Avoid having to run configure when cleaning (thanks to Piotr Ożarowski
    for suggesting these two changes!).
  * Fix debian-menus to start /usr/bin/stella, not /usr/games/stella.
  * Remove debian/dirs, it is not needed.
  * Support building on kfreebsd and hurd.
  * /etc/stella.pro is no longer shipped; remove it if it's still present
    (and unchanged), and stop using it in debian-menus.

 -- Stephen Kitt <steve@sk2.org>  Sat, 04 Sep 2010 23:23:34 +0200

stella (3.2-1) experimental; urgency=low

  * New upstream version.
  * Update libpng dependency.
  * Standards-Version 3.9.1, no change required.
  * This release isn't intended for squeeze, uploaded to experimental
    for now.

 -- Stephen Kitt <steve@sk2.org>  Mon, 23 Aug 2010 08:16:19 +0200
