=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <steve@sk2.org>
-Standards-Version: 3.9.0
-Build-Depends: debhelper (>= 7.0.50), quilt (>= 0.46-7~), libsdl1.2-dev, libpng3-dev, zlib1g-dev, autotools-dev
+DM-Upload-Allowed: yes
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev, zlib1g-dev, libpng12-dev, autotools-dev
 Homepage: http://stella.sf.net
 Vcs-Git: git://git.debian.org/git/pkg-games/stella.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/stella.git
@@ -19,9 +20,10 @@
  Stella's features include:
   * emulation of Atari 2600 joysticks, keyboards, paddles and driving
     controllers using the host system's input peripherals;
-  * emulation of trackballs and the Amiga Mouse using the host's
-    system's mouse;
-  * support for real Atari 2600 controllers using the Stelladaptor;
+  * emulation of trackballs, joysticks, booster grips, driving
+    controllers and the Amiga Mouse using the host system's mouse;
+  * support for real Atari 2600 controllers using the Stelladaptor or
+    the 2600-daptor;
   * support for the speech portion of a real AtariVox device;
   * support for Supercharger single-load and multi-load games;
   * emulation of CRT TV features, including texturing, colour bleed,
