## stella 3.4.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##  SS  SS   tt   ee      ll   ll  aa  aa
 ##   SSSS     ttt  eeeee llll llll  aaaaa
 ##
-## Copyright (c) 1995-2010 by Bradford W. Mott, Stephen Anthony
+## Copyright (c) 1995-2011 by Bradford W. Mott, Stephen Anthony
 ## and the Stella Team
 ##
 ## See the file "License.txt" for information on usage and redistribution of
@@ -69,7 +69,7 @@
 
 EXECUTABLE  := stella$(EXEEXT)
 
-all: tags $(EXECUTABLE)
+all: $(EXECUTABLE)
 
 
 ######################################################################
@@ -188,35 +188,12 @@
 	rm -f  "$(DESTDIR)$(DATADIR)/icons/mini/stella.png"
 	rm -f  "$(DESTDIR)$(DATADIR)/icons/large/stella.png"
 
+# Special rule for M6502.ins, generated from m4 (there's probably a better way to do this ...)
+src/emucore/M6502.ins: src/emucore/M6502.m4
+	m4 src/emucore/M6502.m4 > src/emucore/M6502.ins
+
 # Special rule for Win32 icon stuff (there's probably a better way to do this ...)
 src/win32/stella_icon.o: src/win32/stella.ico src/win32/stella.rc
 	$(WINDRES) --include-dir src/win32 src/win32/stella.rc src/win32/stella_icon.o 
 		
-# Special target to create a Win32 snapshot package
-win32dist: stella$(EXEEXT)
-	rm -rf $(DISTNAME)
-	mkdir -p $(DISTNAME)/docs/graphics
-	$(STRIP) stella$(EXEEXT) -o $(DISTNAME)/Stella$(EXEEXT)
-	cp /bin/SDL.dll $(DISTNAME)
-	cp Announce.txt Changes.txt Copyright.txt License.txt README-SDL.txt Readme.txt Todo.txt $(DISTNAME)/docs
-	cp -r docs/*.html $(DISTNAME)/docs
-	cp -r docs/graphics/*.png $(DISTNAME)/docs/graphics
-#	flip -m $(DISTNAME)/docs/*.txt
-#	zip -r $(DISTNAME)-win32.zip $(DISTNAME)
-
-# GP2X organize: groups necessary files into a gp2x folder for easy access.
-gp2x-organize:
-	mkdir -p "$(srcdir)/gp2x"
-	mkdir -p "$(srcdir)/gp2x/docs"
-	cp -v $(srcdir)/stella  $(srcdir)/gp2x
-	cp -v $(srcdir)/src/gp2x/stella.gpe $(srcdir)/gp2x
-	cp -v $(srcdir)/README-GP2X.txt $(srcdir)/gp2x
-	cp -v -r $(srcdir)/docs/* $(srcdir)/gp2x/docs
-	$(STRIP) $(srcdir)/gp2x/stella
-
-.PHONY: deb bundle test win32dist install uninstall
-
-# Use Exuberant ctags (the one from Slackware's vim package, for instance),
-# not the one from emacs!
-tags:
-	ctags `find . -name '*.[ch]xx' -o -name '*.c' -o -name '*.y'` || true
+.PHONY: deb bundle test install uninstall
