=== debian/changelog ===
stella (3.4.1-2build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:24:27 -0700

stella (3.4.1-2) unstable; urgency=low

  * Make Stella available in the "Open With Other Applications..." menu
    in Gnome (and presumably similar entries in other desktop
    environments; LP: #880114).
  * Build with gcc 4.6.1 (which identifies itself as gcc 4.6).

 -- Stephen Kitt <steve@sk2.org>  Wed, 26 Oct 2011 23:04:32 +0200

stella (3.4.1-1) unstable; urgency=low

  * New upstream version.
  * Update manpage with new features in 3.4.1.

 -- Stephen Kitt <steve@sk2.org>  Wed, 15 Jun 2011 23:48:31 +0200
