=== debian/changelog ===
stella (3.5-1ubuntu1) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 18:42:57 +0000

stella (3.5-1) unstable; urgency=low

  * New upstream version.
  * Drop all patches, merged upstream.
  * Update description and manpage (notably, OpenGL-based TV effects are
    no longer supported).

 -- Stephen Kitt <steve@sk2.org>  Thu, 29 Dec 2011 23:56:39 +0100
