=== debian/control ===
Source: stella
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <steve@sk2.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.1.0~), libsdl1.2-dev, zlib1g-dev, libpng12-dev, autotools-dev
Homepage: http://stella.sf.net
Vcs-Git: git://git.debian.org/git/pkg-games/stella.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/stella.git

Package: stella
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Atari 2600 Emulator for SDL & the X Window System
 Stella is a portable emulator of the old Atari 2600 video-game
 console. You can play most Atari 2600 games with it.
 .
 Stella's features include:
  * emulation of Atari 2600 joysticks, keyboards, paddles and driving
    controllers using the host system's input peripherals;
  * emulation of trackballs, joysticks, booster grips, driving
    controllers and the Amiga Mouse using the host system's mouse;
  * support for real Atari 2600 controllers using the Stelladaptor or
    the 2600-daptor;
  * support for the speech portion of a real AtariVox device;
  * support for Supercharger single-load and multi-load games.
 .
 An extensive debugger is included, with the Distella disassembler.
 .
 Note that this is not isee systems' STELLA modeling, simulation and
 analysis tool.
