## stella 3.6.1

=== debian/changelog ===
stella (3.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 31 Mar 2012 10:32:40 +0200

stella (3.6-1) unstable; urgency=low

  * New upstream version.
  * Update documentation with new features in 3.6, notably CompuMate
    emulation and 2600-daptor II support.
  * Drop libpng12-dev build-dependency entirely (in favour of
    libpng-dev).

 -- Stephen Kitt <steve@sk2.org>  Sat, 17 Mar 2012 23:23:45 +0100

stella (3.5.5-3) unstable; urgency=low

  * Allow building with libpng-dev (closes: #662511); stella is known to
    build with libpng 1.5 so this shouldn't cause trouble when libpng-
    dev switches to 1.5.
  * Standards-Version 3.9.3, no change required.

 -- Stephen Kitt <steve@sk2.org>  Tue, 06 Mar 2012 00:08:53 +0100

stella (3.5.5-2) unstable; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand. We now simply Pre-Depend
    on a new enough version of dpkg rather than using 'dpkg-maintscript-
    helper supports' guards, leading to more predictable behaviour on
    upgrades. Thanks to Colin Watson for the patch (closes: #659792).
  * Update documentation with last-minute fix from upstream.

 -- Stephen Kitt <steve@sk2.org>  Sun, 19 Feb 2012 00:39:23 +0100

stella (3.5.5-1) unstable; urgency=low

  * New upstream version.
  * Rewrite debian/copyright, using DEP-5 and updating for 2012.
  * Update manpage.

 -- Stephen Kitt <steve@sk2.org>  Sun, 05 Feb 2012 08:09:05 +0100
