## stella 3.7

=== debian/changelog ===
stella (3.7-1) unstable; urgency=low

  * New upstream version.
  * Update description and documentation with new features in 3.7, notably
    Blargg TV filters (replacing the filters available in versions 3.4.1
    and earlier).
  * Switch to debhelper compatibility level 9.

 -- Stephen Kitt <steve@sk2.org>  Sat, 02 Jun 2012 07:33:16 +0200
