## stella 3.7.1

=== debian/changelog ===
stella (3.7.1-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 09 Jun 2012 11:33:23 +0200
