=== debian/changelog ===
stella (3.7.2-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Mon, 11 Jun 2012 17:28:16 +0200
