=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Standards-Version: 3.9.3
 Build-Depends: autotools-dev,
-               debhelper (>= 8.1.0~),
+               debhelper (>= 9),
                libpng-dev,
                libsdl1.2-dev,
                zlib1g-dev
@@ -31,7 +31,9 @@
     2600-daptor or 2600-daptor II;
   * support for real Atari 7800 controllers using the 2600-daptor II;
   * support for the speech portion of a real AtariVox device;
-  * support for Supercharger single-load and multi-load games.
+  * support for Supercharger single-load and multi-load games;
+  * emulation of CRT TV features, including texturing, colour bleed,
+    RF noise and phosphor burn-off (requires OpenGL).
  .
  An extensive debugger is included, with the Distella disassembler.
  .
