## stella 3.9

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##  SS  SS   tt   ee      ll   ll  aa  aa
 ##   SSSS     ttt  eeeee llll llll  aaaaa
 ##
-## Copyright (c) 1995-2012 by Bradford W. Mott, Stephen Anthony
+## Copyright (c) 1995-2013 by Bradford W. Mott, Stephen Anthony
 ## and the Stella Team
 ##
 ## See the file "License.txt" for information on usage and redistribution of
@@ -51,7 +51,7 @@
 endif
 CXXFLAGS+= -Wall 
 ifdef HAVE_GCC
-  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti
+  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti -Woverloaded-virtual
 endif
 
 ifdef PROFILE
