=== debian/changelog ===
stella (3.9-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Fri, 28 Jun 2013 09:53:13 +0200

stella (3.8.1-2) unstable; urgency=low

  * Switch to my Debian address.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 May 2013 19:45:38 +0200

stella (3.8.1-1) experimental; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Mon, 04 Mar 2013 00:21:35 +0100

stella (3.8-1) experimental; urgency=low

  * New upstream version. The default NVRAM location has changed to
    ~/.stella/nvram, users with EEPROM files or AtariVox/SaveKey/FA2 flash
    files will need to move them there or use the -nvramdir parameter.
  * Use canonical URIs in VCS-* fields.
  * Standards-Version 3.9.4, no further change required.

 -- Stephen Kitt <steve@sk2.org>  Mon, 25 Feb 2013 07:41:35 +0100

stella (3.7.5-1) experimental; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 22 Dec 2012 22:59:12 +0100

stella (3.7.4-1) experimental; urgency=low

  * New upstream version.
  * Drop DM-Upload-Allowed since it's no longer relevant.

 -- Stephen Kitt <steve@sk2.org>  Wed, 31 Oct 2012 23:25:42 +0100

stella (3.7.3-1) experimental; urgency=low

  * New upstream release, uploaded to experimental to avoid affecting the
    Wheezy freeze.

 -- Stephen Kitt <steve@sk2.org>  Sat, 27 Oct 2012 08:41:59 +0200
