=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <steve@sk2.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Uploaders: Stephen Kitt <skitt@debian.org>
+Standards-Version: 3.9.4
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                libpng-dev,
                libsdl1.2-dev,
                zlib1g-dev
 Homepage: http://stella.sf.net
-Vcs-Git: git://git.debian.org/git/pkg-games/stella.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/stella.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/stella.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/stella.git
 
 Package: stella
 Architecture: any
